# Algolia Reference

This page outlines the basics of testing Jane Roots + Algolia.

## Credentials

You can use the following keys to interact with our Algolia *demo* environment.

<table><thead><tr><th width="205">Key</th><th></th></tr></thead><tbody><tr><td>app_id</td><td>VFM4X0N23A</td></tr><tr><td>api_key</td><td>d16d4804f78c38777368ea8ced79e56e</td></tr></tbody></table>

## Indices

Your demo credentials will give you access to the following indices:

```
stores-demo // get all stores
products-demo // get all jane canonical products (store agnostic)
product-reviews-demo // get all product reviews
menu-products-demo // get all products (store-specific)
```

When you get production credentials, you will be able to access the same information for your own stores.

## Replica Indices

In addition to the above indices, there are many other replica indices that are pre-sorted so that you can order them by commonly used dimensions such as price or weight. This provides a significant performance boost versus sorting the regular indices.

{% embed url="<https://www.algolia.com/doc/guides/managing-results/refine-results/sorting/in-depth/replicas>" %}

Here is a full list of all the replicas we have setup:

```
products-by-rating-demo
menu-products-by-price-demo
menu-products-by-price-desc-demo

menu-products-by-price-half-gram-demo
menu-products-by-price-half-gram-desc-demo
menu-products-by-price-gram-demo
menu-products-by-price-gram-desc-demo
menu-products-by-price-two-gram-demo
menu-products-by-price-two-gram-desc-demo
menu-products-by-price-eighth-ounce-demo
menu-products-by-price-eighth-ounce-desc-demo
menu-products-by-price-quarter-ounce-demo
menu-products-by-price-quarter-ounce-desc-demo
menu-products-by-price-half-ounce-demo
menu-products-by-price-half-ounce-desc-demo
menu-products-by-price-ounce-demo
menu-products-by-price-ounce-desc-demo

menu-products-by-thc-potency-asc-demo
menu-products-by-thc-potency-desc-demo

menu-products-by-category-and-name-asc-demo
menu-products-by-category-asc-and-name-desc-demo

menu-products-by-rating-demo

product-reviews-by-upvote-demo
product-reviews-by-rating-demo
```

## Attributes for Faceting

A number of different attributes are available for faceting:

```
aggregate_rating
applicable_special_ids
at_visible_store
available_weights
brand
brand_subtype
bucket_price
category
feelings
activities
kind
percent_cbd
percent_thc
product_id
review_count
root_types
store_id
store_types
```

## Getting Started

As mentioned elsewhere in this guide, we strongly recommend using React Instant Search, which will drastically reduce your time to implementation. For more information, go [here](/jane-docs/implementing-roots/building-your-menu/using-react-and-instant-search.md).

Here is a [code sandbox](https://codesandbox.io/s/ecstatic-goldstine-1928l?file=/src/App.tsx) you can use to start developing your menu using React Instant Search


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.iheartjane.com/jane-docs/apis/algolia-reference.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
